import javax.microedition.midlet.MIDlet;
import javax.microedition.lcdui.*;

public class midlet extends MIDlet implements CommandListener {
 private Display display;
 private List main;
 private options options;
 private String [] menu = {
  " ",
  " ",
  "",
  "",
  "",
  " ",
  ""
 };
 public static String gameName="TVMania";
 private Image [] icons = { null,null,null,null,null,null,null };
 public static boolean game_is_over=true;

 public midlet () {
  display = Display.getDisplay(this);
  options = new options (midletCanvas.sizeX,midletCanvas.sizeY);
  for (int i=1; i<8; i++) {
   try {
    icons[i-1] = Image.createImage("/icons/"+i+".png"); 
   }
   catch (java.io.IOException e) {}
  }
  main = new List (gameName, Choice.IMPLICIT, menu, icons);
  main.setCommandListener(this);
 }
 
 protected void startApp() {
  game_is_over=false;
  options.read ();
  display.setCurrent (main);  
 }
 
 protected void pauseApp()  { }

 protected void destroyApp (boolean unconditional)  { 
  //if (game_is_over==true) midletCanvas.newGame ();
  options.write ();
  options.close ();
  notifyDestroyed();
 }
 
 public void exitMIDlet()  {
  destroyApp (true);
 }

 public void commandAction (Command c, Displayable d) {
  if (c==List.SELECT_COMMAND) {
   int selected = main.getSelectedIndex ();
   switch (selected) {
    case 0:
    case 1:
     midletCanvas midletCanvas = new midletCanvas (this);
     if ((selected==1) || (game_is_over==true)) midletCanvas.newGame ();
     game_is_over=false;
     display.setCurrent (midletCanvas);
    break;
    case 2:
     display.setCurrent (new Alert (menu[2],": "+options.c1+"\n: "+options.c2,null,AlertType.INFO),display.getCurrent());
    break;
    case 3:
     optionsForm optionsForm = new optionsForm (this);
     display.setCurrent (optionsForm);
    break;
    case 4:
     errorForm er = new errorForm (display,menu[4]);
     er.show (
      "  "+gameName+":\n"+
      " -     .      ,    .\n"+
      "     \"\" () ,     \"\" (  ),  .\n"+
      "      1..9,*,0,#.      (   \"\"  \"\")   .\n"+
      "   ,       .        .\n"+
      " ,        -  !  ,      ."
     );
    break;
    case 5:
     display.setCurrent (new Alert (menu[5],gameName+"\nv1.0\n(C) PerS, pers@mail.ru",null,AlertType.INFO),display.getCurrent());
    break;
    case 6:
     main.setTitle ("...");
     exitMIDlet ();
    break;
   }
  }
 }

}

