import java.io.IOException;
import javax.microedition.lcdui.*;

public class midletCanvas extends Canvas implements CommandListener {
 private midlet midlet;
 private Display dpy;
 private Displayable prev;
 private boolean first=true;
 private int topBoard,leftBoard,topCount,topWin;
 private static final int 
  MODE_SELECT=0,
  MODE_MENU=1,
  MODE_MOVE=3,
  MODE_COUNT=4;
 private int mode=MODE_SELECT;
 private wavPlayer pl=null;

 public static int cursorX=0,cursorY=0,oldX=1,oldY=0,sCursor=2;
 public static int cnt=0,maxCount=0;

 public static final int sizeX=3, sizeY=4; // 
 public static final int imgSizeX=40, imgSizeY=30; // 
 private static final int maxpicture=7; //.  
 private static final int cursorColor = 0x333333;

 private int steps=0, //
  mx,my;
 private Image img = null;
 private random Rand = new random ();
 private Command cmdBack = new Command("", Command.BACK, 1);
 private Command cmdExit = new Command("", Command.EXIT, 2);

 private static String [] scrImages;
 private int [] Temp;

 private boolean inPress=false;

 public midletCanvas (midlet midlet) {
  super ();
  this.midlet = midlet;
  dpy = Display.getDisplay (midlet);
  prev = dpy.getCurrent();
  addCommand(cmdBack);
  addCommand(cmdExit);
  setCommandListener (this);
  setFullScreenMode (true);

  scrImages = new String [sizeX*sizeY];
  int x,y; String i;
  for (y = 0; y< sizeY; y++)
  for (x = 0; x< sizeX; x++)
   scrImages[y*sizeX+x]=getimage(options.Field[y*sizeX+x]);;
  Temp = new int [sizeX*sizeY];
 }

 private String getimage (int c) {
  String i;
  switch (c) {
   case 1: i="b"; break;
   case 2: i="g"; break;
   case 4: i="r"; break;
   default: return "void";
  }
  int n=1+Rand.get(maxpicture);
  i += (n<10?"0":"")+n;
  return i;
 }

 public void newGame () {
  int x,y,f;
  String i;
  for (y = 0; y< sizeY; y++)
  for (x = 0; x< sizeX; x++) {
   f=Rand.get(4);
   if (f==3) f++;
   i=getimage(f);
   options.Field[y*sizeX+x]=f; 
   scrImages[y*sizeX+x]=i;
  }
  cursorX=0; oldX=1;
  cursorY=0; oldY=0;
  sCursor=2;
  cnt=0;
  steps=0;
  first=true;
 }

 private Image getImageByName (String s) {
  Image img;
  try { 
   img = Image.createImage("/"+s+".png"); 
  }
  catch (java.io.IOException e) { img=null;}
  return img;
 }

 private Image getImage (int x, int y) {
  return getImageByName(scrImages[y*sizeX+x]);
 }

 private void drawCount (Graphics g) {
  int maxlen=sizeX*imgSizeX+sizeX*4;
  //g.drawRect (leftBoard-1,topCount, maxlen+2, 12);
  int pc=0;
  if (maxCount>0) pc=(cnt*maxlen)/maxCount;
  g.setColor (0xff0000);
  g.fillRect (leftBoard,topCount,maxlen,10);
  if (pc>0) {
   if (pc>maxlen) pc=maxlen;
   g.setColor (0x00ff00);
   g.fillRect (leftBoard,topCount,pc,10);
  }
  String sc=Integer.toString (cnt);
  String sm=Integer.toString (maxCount);
  int l=(maxlen-(sc.length()+sm.length()+1)*10)/2;
  int i;
  for (i=0; i<sc.length(); i++,l+=10)
   g.drawImage (getImageByName (sc.substring(i,i+1)),leftBoard+l, topCount, Graphics.TOP|Graphics.LEFT);
  g.drawImage (getImageByName("slash"),leftBoard+l, topCount, Graphics.TOP|Graphics.LEFT);
  for (i=0,l+=10; i<sm.length(); i++,l+=10)
   g.drawImage (getImageByName (sm.substring(i,i+1)),leftBoard+l, topCount, Graphics.TOP|Graphics.LEFT);
 }

 private void drawWin (Graphics g) {
  String s1=Integer.toString (options.c1);
  String s2=Integer.toString (options.c2);
  g.drawImage (getImageByName("win"),leftBoard+2, topWin, Graphics.TOP|Graphics.LEFT);
  int i,l;
  for (i=0,l=12; i<s1.length(); i++,l+=10)
   g.drawImage (getImageByName (s1.substring(i,i+1)),leftBoard+l, topWin, Graphics.TOP|Graphics.LEFT);
  g.drawImage (getImageByName("lose"),leftBoard+l, topWin, Graphics.TOP|Graphics.LEFT);
  for (i=0,l+=10; i<s2.length(); i++,l+=10)
   g.drawImage (getImageByName (s2.substring(i,i+1)),leftBoard+l, topWin, Graphics.TOP|Graphics.LEFT);
 }

 private void putButtons (Graphics g, int x, int y) {
  String s;
  switch (options.Field[y*sizeX+x]) {
   case 4: s="r1"; break;
   case 2: s="g1"; break;
   case 1: s="b1"; break;
   default: s="v1"; break;
  }
  g.drawImage (getImageByName (s),leftBoard+sizeX*imgSizeX+sizeX*4-40, topWin, Graphics.TOP|Graphics.LEFT);
 }

 private void drawSelectWin (Graphics g) {
  int x1=leftBoard+cursorX*imgSizeX+cursorX*4+1,
   y1=topBoard+cursorY*imgSizeY+cursorY*4+1;
  g.setColor (0x808080);
  g.fillRect (x1,y1,imgSizeX,imgSizeY);
  g.setColor (0x000000);
  g.drawRect (x1,y1,imgSizeX,imgSizeY);
  g.setColor (0xc0c0c0);
  g.drawRect (x1+1,y1+1,imgSizeX-2,imgSizeY-2);
  g.setColor (0xff0000);
  g.fillRect (x1+3,y1+3,10,10);
  g.drawImage (getImageByName("1"),x1+3, y1+3, Graphics.TOP|Graphics.LEFT);
  g.setColor (0x0000ff);
  g.fillRect (x1+15,y1+3,10,10);
  g.drawImage (getImageByName("2"),x1+15, y1+3, Graphics.TOP|Graphics.LEFT);
  g.setColor (0x00ff00);
  g.fillRect (x1+27,y1+3,10,10);
  g.drawImage (getImageByName("3"),x1+27, y1+3, Graphics.TOP|Graphics.LEFT);
  g.setColor (0xffff00);
  g.fillRect (x1+3,y1+15,34,10);
  g.drawImage (getImageByName("win"),x1+3, y1+15, Graphics.TOP|Graphics.LEFT);
  g.drawImage (getImageByName("0"),x1+15, y1+15, Graphics.TOP|Graphics.LEFT);
  g.drawImage (getImageByName("lose"),x1+27, y1+15, Graphics.TOP|Graphics.LEFT);
  g.setColor (cursorColor);
  switch (sCursor) {
   case 0:
    g.drawRect (x1+3,y1+3,10,10);
    g.drawRect (x1+4,y1+4,8,8);
   break;
   case 1:
    g.drawRect (x1+15,y1+3,10,10);
    g.drawRect (x1+16,y1+4,8,8);
   break;
   case 2:
    g.drawRect (x1+27,y1+3,10,10);
    g.drawRect (x1+28,y1+4,8,8);
   break;
   case 3:
    g.drawRect (x1+3,y1+15,34,10);
    g.drawRect (x1+4,y1+16,32,8);
   break;
  }
 }

 private void drawCursor (Graphics g) {
  g.setColor (cursorColor);
  g.drawImage (getImage (oldX,oldY),leftBoard+oldX*imgSizeX+4*oldX+2,topBoard+oldY*imgSizeY+4*oldY+2,Graphics.TOP|Graphics.LEFT);
  g.drawRect (leftBoard+cursorX*imgSizeX+cursorX*4+3,topBoard+cursorY*imgSizeY+cursorY*4+3,imgSizeX-3,imgSizeY-3);
  g.drawRect (leftBoard+cursorX*imgSizeX+cursorX*4+4,topBoard+cursorY*imgSizeY+cursorY*4+4,imgSizeX-5,imgSizeY-5);
  putButtons (g,cursorX,cursorY);
  oldX = cursorX; oldY = cursorY;
 }

 protected void paint (Graphics g) {
  if (first==true) {
   colorGradient cg= new colorGradient (g, getWidth(), getHeight());
   cg.draw (0x0000ff, 0xff0000, 0, getHeight()/2);
   cg.draw (0xff0000, 0x00ff00, getHeight()/2,getHeight());
   topBoard=(getHeight()-sizeY*(imgSizeY+4))/2;
   leftBoard=(getWidth()-sizeX*(imgSizeX+4))/2;
   //g.setColor (0x000000);
   //g.drawRect (leftBoard-1, topBoard-1, sizeX*(imgSizeX+4)+1, sizeY*(imgSizeY+4)+1);
   img = getImageByName ("tv");
   int i,j;
   for (i=0; i<sizeY; i++)
   for (j=0; j<sizeX; j++) {
    g.drawImage (img,leftBoard+j*imgSizeX+4*j,topBoard+i*imgSizeY+4*i,Graphics.TOP|Graphics.LEFT);
    g.drawImage (getImageByName(scrImages[i*sizeX+j]),leftBoard+j*imgSizeX+4*j+2,topBoard+i*imgSizeY+4*i+2,Graphics.TOP|Graphics.LEFT);
   }
   topCount=topBoard-14;
   drawCount (g);
   topWin=topBoard+sizeY*(imgSizeY+4)+4;
   drawWin (g);
   drawCursor (g);
   first=false;
  }
  if (mode==MODE_MENU) {
   drawSelectWin (g);
   return;
  }
  else if (mode==MODE_MOVE) {
   g.drawImage (getImage (mx,my),leftBoard+mx*imgSizeX+4*mx+2,topBoard+my*imgSizeY+4*my+2,Graphics.TOP|Graphics.LEFT);
   putButtons (g,mx,my);
   mode=MODE_SELECT;
   return;
  }
  else if (mode==MODE_COUNT) {
   drawCount (g);
   mode=MODE_SELECT;
   drawCursor (g);
   return;
  }
  if ((oldX!=cursorX) || (oldY!=cursorY)) {
   drawCursor (g);
  }
 }

 private void message (String s) {
  dpy.setCurrent (new Alert (midlet.gameName,s,null,AlertType.INFO),dpy.getCurrent());
 }

 private void repaint1 () {
  repaint ();
  serviceRepaints ();
 }

 private void keyPressed (int cX, int cY, int sC, int color) {
  if (mode==MODE_SELECT) { cursorX=cX; cursorY=cY; putSCursor(); mode=MODE_MENU; repaint1 (); }
  else {
   sCursor=sC; repaint1 (); 
   move (color,cursorX,cursorY);
  }
 }

 private void play (String name) {
  if (options.sound>0) {
   if (pl!=null) {
    pl.stop (); 
    pl=null;
   }
   pl = new wavPlayer ("audio/"+name);
   if (pl!=null) pl.start ();
  }
 }

 private void putSCursor () {
  int c=options.Field[cursorY*sizeX+cursorX];
  switch (c) {
   case 1: sCursor=1; break;
   case 2: sCursor=2; break;
   case 4: sCursor=0; break;
   default: sCursor=3; break;
  }
 }

 public void keyPressed (int keyCode) {
  if (inPress==false) {
   inPress=true;
   switch (keyCode) {
    case Canvas.KEY_NUM1:
     keyPressed (0,0,0,4);
    break;
    case Canvas.KEY_NUM2:
     keyPressed (1,0,1,1);
    break;
    case Canvas.KEY_NUM3:
     keyPressed (2,0,2,2);
    break;
    case Canvas.KEY_NUM4:
     keyPressed (0,1,0,4);
    break;
    case Canvas.KEY_NUM5:
     keyPressed (1,1,1,1);
    break;
    case Canvas.KEY_NUM6:
     keyPressed (2,1,2,2);
    break;
    case Canvas.KEY_NUM7:
     keyPressed (0,2,0,4);
    break;
    case Canvas.KEY_NUM8:
     keyPressed (1,2,1,1);
    break;
    case Canvas.KEY_NUM9:
     keyPressed (2,2,2,2);
    break;
    case Canvas.KEY_STAR:
     keyPressed (0,3,3,0);
    break;
    case Canvas.KEY_NUM0:
     keyPressed (1,3,3,0);
    break;
    case Canvas.KEY_POUND:
     keyPressed (2,3,3,0);
    break;
    default:
     switch (getGameAction(keyCode)) {
      case Canvas.LEFT:
       if (mode==MODE_SELECT) {
        if (cursorX > 0) cursorX--;
        else cursorX=sizeX-1;
       }
       else if (mode==MODE_MENU) {
        if (sCursor==0) sCursor=3; else sCursor--;
       }
       repaint1 ();
      break;
      case Canvas.RIGHT:
       if (mode==MODE_SELECT) {
        if (cursorX < sizeX-1) cursorX++;
        else cursorX=0;
       }
       else if (mode==MODE_MENU) {
        if (sCursor==3) sCursor=0; else sCursor++;
       }
       repaint1 ();
      break;
      case Canvas.DOWN:
       if (mode==MODE_SELECT) {
        if (cursorY < sizeY-1) cursorY++;
        else cursorY=0;
       }
       else if (mode==MODE_MENU) {
        if (sCursor==3) sCursor=0; else sCursor++;
       }
       repaint1 ();
      break;
      case Canvas.UP:
       if (mode==MODE_SELECT) {
        if (cursorY > 0) cursorY--;
        else cursorY=sizeY-1;
       }
       else if (mode==MODE_MENU) {
        if (sCursor==0) sCursor=3; else sCursor--;
       }
       repaint1 ();
      break;
      case Canvas.FIRE:
       if (midlet.game_is_over==false) {
        if (mode==MODE_SELECT) {
         putSCursor ();
         mode=MODE_MENU;
         repaint1 ();
        }
        else if (mode==MODE_MENU) {
         int n=0;
         switch (sCursor) {
          case 0: n=4; break;
          case 1: n=1; break;
          case 2: n=2; break;
          case 3: n=0; break;
         }
         move (n,cursorX,cursorY);
        }
       }
       else {
        message ("   ");
       }
      break;
     }
    break;
   }
   inPress=false;
  }
 }

 public void count () {
  int good=0, x, y, c;
  cnt=0;
  for (y = 0; y< sizeY; y++)
  for (x = 0; x< sizeX; x++) {
   c=options.Field[y*sizeX+x];
   if (c<4) {
    cnt+=c;
   }
   if ((c>0) && (c<4)) good++;
  }
  steps++;
  mode=MODE_COUNT;
  repaint1();
  if ((cnt==0) || (good<2)) {
   play ("lose.wav");
   message ("  :-(");
   options.c2++;
   newGame ();
  }
  else if (!first) {
   if (cnt>maxCount) {
    maxCount=cnt;
    mode=MODE_COUNT;
    repaint1();
   }
   if (good==sizeX*sizeY) {
    play ("win.wav");
    message (",  !");
    options.c1++;
    newGame ();
   }
  }
 }

 private int nfilled (int c,int n) {
  return (options.Field[n]==c ? 1 : 0); 
 }

 private int nears (int c, int x,int y) { //    c  (x,y) -  8 
  int i=y*sizeX+x;
  int k,n=0;
  if (i%sizeX==0) k=i+sizeX-1; else k=i-1; //
  n+=nfilled (c,k);
  if ((i+1)%sizeX==0) k=i-sizeX+1; else k=i+1; //
  n+=nfilled (c,k);
  if (i<sizeX) k=i+(sizeY-1)*sizeX; else k=i-sizeX; //
  n+=nfilled (c,k);
  if (i<(sizeY-1)*sizeX) k=i+sizeX; else k=i-(sizeY-1)*sizeX; //
  n+=nfilled (c,k);
  if (i<sizeX) { // 
   if (i==0) k=sizeX*sizeY-1;
   else k=i+(sizeY-1)*sizeX-1;
  }
  else {
   if (i%sizeX==0) k=i-1;
   else k=i-sizeX-1;
  }
  n+=nfilled (c,k);
  if (i<sizeX) { // 
   if (i==sizeX-1) k=(sizeY-1)*sizeX;
   else k=i+(sizeY-1)*sizeX+1;
  }
  else {
   if ((i+1)%sizeX==0) k=i-2*sizeX+1;
   else k=i-sizeX+1;
  }
  n+=nfilled (c,k);
  if (i%sizeX==0) { // 
   if (i==(sizeY-1)*sizeX) k=sizeX-1;
   else k=i+2*sizeX-1;
  }
  else {
   if (i>(sizeY-1)*sizeX) k=i-(sizeY-1)*sizeX-1;
   else k=i+sizeX-1;
  }
  n+=nfilled (c,k);
  if ((i+1)%sizeX==0) { // 
   if (i==sizeX*sizeY-1) k=0;
   else k=i+1;
  }
  else {
   if (i>(sizeY-1)*sizeX-1) k=i-(sizeY-1)*sizeX+1;
   else k=i+sizeX+1;
  }
  n+=nfilled (c,k);
  return n; 
 }

 private int filled (int x,int y) { //1,  (x,y) 
  return (options.Field[y*sizeX+x]==0 ? 0 : 1);
 }


 public void analysis (int x0,int y0) { 
  String img;
  int x,y,i,n,f;
  for (y = 0; y< sizeY; y++)
  for (x = 0; x< sizeX; x++) {
   i=y*sizeX+x;
   n=nears (options.Field[i],x,y);
   if (filled(x,y)==0) { // 
    if (n==3) {
     f=1+Rand.get(3);
     if (f==3) f++;
     Temp[i]=f;
     img=getimage(Temp[i]);
    }
    else {
     Temp[i]=0;
     img="void";
    }
   }
   else { // 
    if ((n>1) && (n<5)) { //!!! 2,3   Life
     Temp[i]=options.Field[i];
     img=scrImages[i];
    }
    else {
     Temp[i]=0;
     img="void";
    }
   }
   if ((x==x0) && (y==y0)) { 
    Temp[i]=options.Field[i];
    img=scrImages[i]; 
   }
   //putButtons (Temp[i],x,y); putField (x,y,"c",img);
   scrImages[y*sizeX+x]=img;
   mode=MODE_MOVE; mx=x; my=y; repaint1();
  }
  for (y = 0; y< sizeY; y++)
  for (x = 0; x< sizeX; x++) {
   i=y*sizeX+x;
   options.Field[i]=Temp[i];
  }
 }

 public void commandAction (Command c, Displayable d)  {
  dpy.setCurrent (prev);
  if (c==cmdExit) midlet.exitMIDlet();
 }

 public void move (int f, int x, int y) {
  int c=options.Field[y*sizeX+x];
  if (f==0) { //
   if (c==0) {
    f=1+Rand.get(3);
    if (f==3) f++;
   }
   else f=0;
  }
  //else if (c==f) return;
  String i=getimage(f);
  options.Field[y*sizeX+x]=f; 
  scrImages[y*sizeX+x]=i;
  mode=MODE_MOVE; mx=x; my=y;
  repaint1 ();
  analysis (x,y);
  play ("step.wav");
  count ();
 }

}